freeslot("SPR_LCMN","sfx_lcmn1","sfx_lcmn2","sfx_lcmn3")

local allMines = {}

local vanillaMineSounds = {sfx_s3k4e, sfx_cdfm39, sfx_s3k5c}
local LCMineSounds = {sfx_lcmn1, sfx_lcmn2, sfx_lcmn3}
addHook("MobjSpawn", function(mo)
	table.insert(allMines, mo)
	
end, MT_SSMINE_SHIELD)

addHook("MobjSpawn", function(mo)
	table.insert(allMines, mo)
end, MT_SSMINE)

addHook("PostThinkFrame", function()
	for i = #allMines, 1, -1 do
		local mine = allMines[i]
		if not mine or not mine.valid then
			table.remove(allMines, i)
			continue
		end
		if mine.lethalcompany == nil then
			mine.lethalcompany = (mine.target and mine.target.skin == "lc-employee")
		end
		
		mine.color = (mine.target and mine.target.player.skincolor) or SKINCOLOR_RED
		
		if not mine.lethalcompany then continue end
		
		mine.sprite = SPR_LCMN
		for k,v in pairs(vanillaMineSounds) do
			if S_SoundPlaying(mine, v) then
				S_StopSoundByID(mine, v)
				S_StartSound(mine, LCMineSounds[k])
			end
		end
	
	end

end)